RNAlib-2.1.8

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Suboptimal structures according to Zuker et al. 1989
Enumerating Suboptimal Structures
Collaboration diagram for Suboptimal structures according to Zuker et al. 1989:

## Functions

SOLUTION * | zukersubopt (const char *string)
| Compute Zuker type suboptimal structures.
SOLUTION * | zukersubopt_par (const char *string, paramT *parameters)
| Compute Zuker type suboptimal structures.

## Detailed Description

## Function Documentation

SOLUTION* zukersubopt | ( | const char * | string | ) |

Compute Zuker type suboptimal structures.

Compute Suboptimal structures according to M. Zuker, i.e. for every possible base pair the minimum energy structure containing the resp. base pair. Returns a list of these structures and their energies.

Parameters:

  string | RNA sequence

Returns:
  List of zuker suboptimal structures